Update an existing organization
curl --request PATCH \
--url https://ledger.sandbox.lerian.net/v1/organizations/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"address": {
"city": "New York",
"country": "US",
"line1": "123 Financial Avenue",
"line2": "Suite 1500",
"state": "NY",
"zipCode": "10001",
"description": "Home"
},
"doingBusinessAs": "Lerian Group",
"legalName": "Lerian Financial Group Ltd.",
"metadata": {},
"parentOrganizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": {
"code": "ACTIVE",
"description": "Active status"
}
}
'package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://ledger.sandbox.lerian.net/v1/organizations/{id}"
payload := strings.NewReader("{\n \"address\": {\n \"city\": \"New York\",\n \"country\": \"US\",\n \"line1\": \"123 Financial Avenue\",\n \"line2\": \"Suite 1500\",\n \"state\": \"NY\",\n \"zipCode\": \"10001\",\n \"description\": \"Home\"\n },\n \"doingBusinessAs\": \"Lerian Group\",\n \"legalName\": \"Lerian Financial Group Ltd.\",\n \"metadata\": {},\n \"parentOrganizationId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"status\": {\n \"code\": \"ACTIVE\",\n \"description\": \"Active status\"\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
address: {
city: 'New York',
country: 'US',
line1: '123 Financial Avenue',
line2: 'Suite 1500',
state: 'NY',
zipCode: '10001',
description: 'Home'
},
doingBusinessAs: 'Lerian Group',
legalName: 'Lerian Financial Group Ltd.',
metadata: {},
parentOrganizationId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
status: {code: 'ACTIVE', description: 'Active status'}
})
};
fetch('https://ledger.sandbox.lerian.net/v1/organizations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://ledger.sandbox.lerian.net/v1/organizations/{id}"
payload = {
"address": {
"city": "New York",
"country": "US",
"line1": "123 Financial Avenue",
"line2": "Suite 1500",
"state": "NY",
"zipCode": "10001",
"description": "Home"
},
"doingBusinessAs": "Lerian Group",
"legalName": "Lerian Financial Group Ltd.",
"metadata": {},
"parentOrganizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": {
"code": "ACTIVE",
"description": "Active status"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"address": {
"city": "New York",
"country": "US",
"line1": "123 Financial Avenue",
"line2": "Suite 1500",
"state": "NY",
"zipCode": "10001",
"description": "Home"
},
"createdAt": "2021-01-01T00:00:00Z",
"deletedAt": "2021-01-01T00:00:00Z",
"doingBusinessAs": "Lerian FS",
"id": "00000000-0000-0000-0000-000000000000",
"legalDocument": "123456789012345",
"legalName": "Lerian Financial Services Ltd.",
"parentOrganizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": {
"code": "ACTIVE",
"description": "Active status"
},
"updatedAt": "2021-01-01T00:00:00Z",
"metadata": {}
}{
"code": "0065",
"message": "<string>",
"title": "Invalid Path Parameter",
"entityType": "Account",
"fields": {}
}{
"code": "0065",
"message": "<string>",
"title": "Invalid Path Parameter",
"entityType": "Account",
"fields": {}
}{
"code": "0065",
"message": "<string>",
"title": "Invalid Path Parameter",
"entityType": "Account",
"fields": {}
}Update an existing organization
deprecated
PATCH
/
v1
/
organizations
/
{id}
Update an existing organization
curl --request PATCH \
--url https://ledger.sandbox.lerian.net/v1/organizations/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"address": {
"city": "New York",
"country": "US",
"line1": "123 Financial Avenue",
"line2": "Suite 1500",
"state": "NY",
"zipCode": "10001",
"description": "Home"
},
"doingBusinessAs": "Lerian Group",
"legalName": "Lerian Financial Group Ltd.",
"metadata": {},
"parentOrganizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": {
"code": "ACTIVE",
"description": "Active status"
}
}
'package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://ledger.sandbox.lerian.net/v1/organizations/{id}"
payload := strings.NewReader("{\n \"address\": {\n \"city\": \"New York\",\n \"country\": \"US\",\n \"line1\": \"123 Financial Avenue\",\n \"line2\": \"Suite 1500\",\n \"state\": \"NY\",\n \"zipCode\": \"10001\",\n \"description\": \"Home\"\n },\n \"doingBusinessAs\": \"Lerian Group\",\n \"legalName\": \"Lerian Financial Group Ltd.\",\n \"metadata\": {},\n \"parentOrganizationId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"status\": {\n \"code\": \"ACTIVE\",\n \"description\": \"Active status\"\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
address: {
city: 'New York',
country: 'US',
line1: '123 Financial Avenue',
line2: 'Suite 1500',
state: 'NY',
zipCode: '10001',
description: 'Home'
},
doingBusinessAs: 'Lerian Group',
legalName: 'Lerian Financial Group Ltd.',
metadata: {},
parentOrganizationId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
status: {code: 'ACTIVE', description: 'Active status'}
})
};
fetch('https://ledger.sandbox.lerian.net/v1/organizations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://ledger.sandbox.lerian.net/v1/organizations/{id}"
payload = {
"address": {
"city": "New York",
"country": "US",
"line1": "123 Financial Avenue",
"line2": "Suite 1500",
"state": "NY",
"zipCode": "10001",
"description": "Home"
},
"doingBusinessAs": "Lerian Group",
"legalName": "Lerian Financial Group Ltd.",
"metadata": {},
"parentOrganizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": {
"code": "ACTIVE",
"description": "Active status"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"address": {
"city": "New York",
"country": "US",
"line1": "123 Financial Avenue",
"line2": "Suite 1500",
"state": "NY",
"zipCode": "10001",
"description": "Home"
},
"createdAt": "2021-01-01T00:00:00Z",
"deletedAt": "2021-01-01T00:00:00Z",
"doingBusinessAs": "Lerian FS",
"id": "00000000-0000-0000-0000-000000000000",
"legalDocument": "123456789012345",
"legalName": "Lerian Financial Services Ltd.",
"parentOrganizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": {
"code": "ACTIVE",
"description": "Active status"
},
"updatedAt": "2021-01-01T00:00:00Z",
"metadata": {}
}{
"code": "0065",
"message": "<string>",
"title": "Invalid Path Parameter",
"entityType": "Account",
"fields": {}
}{
"code": "0065",
"message": "<string>",
"title": "Invalid Path Parameter",
"entityType": "Account",
"fields": {}
}{
"code": "0065",
"message": "<string>",
"title": "Invalid Path Parameter",
"entityType": "Account",
"fields": {}
}Authorizations
JWT bearer token issued by the identity provider.
Path Parameters
Organization ID (UUID)
Body
application/json
Show child attributes
Show child attributes
Maximum string length:
256Example:
"Lerian Group"
Maximum string length:
256Example:
"Lerian Financial Group Ltd."
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
OK
Show child attributes
Show child attributes
Example:
"2021-01-01T00:00:00Z"
Example:
"2021-01-01T00:00:00Z"
Maximum string length:
256Example:
"Lerian FS"
Example:
"00000000-0000-0000-0000-000000000000"
Maximum string length:
256Example:
"123456789012345"
Maximum string length:
256Example:
"Lerian Financial Services Ltd."
Show child attributes
Show child attributes
Example:
"2021-01-01T00:00:00Z"
Show child attributes
Show child attributes
Was this page helpful?

